#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif


MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa1c88cbb, "nvme_remove_admin_tag_set" },
	{ 0x47e2f6eb, "nvme_uninit_ctrl" },
	{ 0x2c55626e, "nvme_complete_rq" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0xbfc9d7c0, "nvme_cancel_admin_tagset" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x50a5094b, "nvmf_free_options" },
	{ 0x16e5561d, "blk_mq_complete_request_remote" },
	{ 0x1ea38976, "nvme_setup_cmd" },
	{ 0x3a8cea25, "nvme_start_ctrl" },
	{ 0x55b7fc93, "nvme_alloc_admin_tag_set" },
	{ 0x8c4d1b9c, "nvmf_connect_io_queue" },
	{ 0x37a0cba, "kfree" },
	{ 0xa56e1a52, "sg_free_table_chained" },
	{ 0xcde84091, "nvmf_reg_read32" },
	{ 0x75bcdb82, "nvme_delete_ctrl" },
	{ 0x81528a9f, "nvme_disable_ctrl" },
	{ 0x63844699, "nvme_should_fail" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xbfb83d22, "nvmf_get_address" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b880e60, "nvmet_sq_destroy" },
	{ 0x92997ed8, "_printk" },
	{ 0xe1fb6802, "nvme_remove_io_tag_set" },
	{ 0x7cef6d1f, "nvme_cleanup_cmd" },
	{ 0xa19b956, "__stack_chk_fail" },
	{ 0xc5b3144f, "nvme_mpath_start_request" },
	{ 0x33a3979f, "nvmf_unregister_transport" },
	{ 0xf2b97d25, "put_device" },
	{ 0xc570c1dc, "nvmet_unregister_transport" },
	{ 0x5c910cfd, "nvme_change_ctrl_state" },
	{ 0x2022935e, "nvme_cancel_tagset" },
	{ 0x80529796, "_dev_info" },
	{ 0x53129eee, "nvme_init_ctrl" },
	{ 0xd58bbbcb, "nvme_delete_wq" },
	{ 0xc24272b9, "nvme_alloc_io_tag_set" },
	{ 0xe945c4cd, "nvmet_req_init" },
	{ 0xe3931157, "nvme_fail_nonready_command" },
	{ 0xd46fe5e4, "_dev_err" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x25b2da27, "nvmet_register_transport" },
	{ 0x5abed9e9, "__blk_rq_map_sg" },
	{ 0x9a6e79a5, "nvmf_reg_read64" },
	{ 0x4c6c0aa9, "nvmf_connect_admin_queue" },
	{ 0x5f22363b, "nvme_enable_ctrl" },
	{ 0xabdd43ab, "nvme_unquiesce_admin_queue" },
	{ 0x11eeff85, "_dev_warn" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa581726, "blk_mq_hctx_set_fq_lock_class" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x5a5f2c0f, "nvme_unquiesce_io_queues" },
	{ 0x4909aede, "blk_mq_update_nr_hw_queues" },
	{ 0x6c1cc10e, "nvmf_reg_write32" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc43ef21a, "nvmet_sq_init" },
	{ 0xc64be043, "nvme_complete_async_event" },
	{ 0x58be4f61, "nvme_set_queue_count" },
	{ 0xdf7693a8, "nvmf_register_transport" },
	{ 0x3ea023b0, "blk_mq_start_request" },
	{ 0x7acb9ab2, "nvme_quiesce_io_queues" },
	{ 0x5fa564ab, "nvme_stop_ctrl" },
	{ 0x213eb967, "kmalloc_trace" },
	{ 0x3bbe0e53, "nvme_init_ctrl_finish" },
	{ 0x9e229c49, "sg_alloc_table_chained" },
	{ 0xd8b4a573, "nvme_quiesce_admin_queue" },
	{ 0x3e0ef07a, "nvmet_wq" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xa1a6971b, "__nvme_check_ready" },
	{ 0x70247b10, "kmalloc_caches" },
	{ 0xd9f75a53, "module_layout" },
};

MODULE_INFO(depends, "nvme-core,nvme-fabrics,nvmet");


MODULE_INFO(srcversion, "E745DCADF010674CBEF6851");

MODULE_INFO(suserelease, "SLE15-SP6");
